//===----------------------------------------------------------------------===//
//
// Philipp Schubert
//
//    Copyright (c) 2017 - 2021
//    Secure Software Engineering Group
//    Heinz Nixdorf Institute
//    Paderborn University
//    philipp.schubert@upb.de
//
//===----------------------------------------------------------------------===//

#include <iostream>
#include <list>
#include <vector>

class container {
public:
  virtual ~container() = default;
  virtual double &operator[](size_t idx) = 0;
  virtual const double &operator[](size_t idx) const = 0;
  virtual size_t size() const = 0;
};

void fill_container(container &c) {
  for (size_t i = 0; i < c.size(); ++i) {
    c[i] = i + 1;
  }
}

double sum_container(const container &c) {
  double result = 0;
  for (size_t i = 0; i < c.size(); ++i) {
    result += c[i];
  }
  return result;
}

int main() { return 0; }
